Bug 1126390 - HiSilicon 1620: bugs in hns3 in drivers/net/ethernet/hisilicon/hns3
HiSilicon 1620: bugs in hns3 in drivers/net/ethernet/hisilicon/hns3
Status: RESOLVED FIXED
Classification: SUSE Linux Enterprise Server
Product: Beta SUSE Linux Enterprise Server 15 SP1
Classification: SUSE Linux Enterprise Server
Component: Kernel
Beta 3
aarch64 SLES 15
: P3 - Medium : Normal
: ---
Assigned To: Thomas Bogendoerfer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-22 01:30 UTC by tian tao
Modified: 2021-06-09 16:31 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
20190215 bug desciption (15.66 KB, text/plain)
2019-02-28 00:59 UTC, tian tao
Details
20190130 bug frsciption (23.91 KB, text/plain)
2019-02-28 06:20 UTC, tian tao
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tian tao 2019-02-22 01:30:21 UTC
This are net related bug on HiSilicon <HiSilicon 1620>.
<repo >
git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git

<problem detail description >

54a395b63e470696884fc12629b12e24d9379111	net: hns3: MAC table entry count function increases operation 0 value protection measures	
6104ca87e12a5119d3e53e926bb6fe468bb328e2	net: hns3: modify the upper limit judgment condition	 							
77af09c6780b1394a1e888a6862d49cadc0247fa	net: hns3: don't allow user to change vlan filter state	 							
f9f07091b43e3a758bd197eb99ef5f011efce7fc	net: hns3: optimize the maximum TC macro	 										
9194d18b0577a63f313a6eb2e0d4723add2c32e6	net: hns3: fix the problem that the supported port is empty	 						
b6b4f987c5c4fe488f3f68460b9addc08482b164	net: hns3: fix a wrong checking in the hclge_tx_buffer_calc()	 					
3a586422a5533a6c78376a779860f48ed72b9d83	net: hns3: move some set_bit statement into hclge_prepare_mac_addr	 				
b671b723e0d235b516dc33c163e6296df9b4f0ca	net: hns3: add hclge_cmd_check_retval() to parse comman's return value	 			
8ca754b13f3c3b99d946665385b3b76e66aab96d	net: hns3: code optimization for hclge_rx_buffer_calc	 							
1731be4c73bb4d5bbfb4b15aaab3f183ccba6fe6	net: hns3: Modify parameter type from int to bool in set_gro_en	 					
6241e71e7207102ffc733991f7a00f74098d7da0	net: hns3: fix an issue for hns3_update_new_int_gl	 								
9e50dc11b856f19908559bafe1a3eca0ddc632b2	net: hns3: fix a code style issue for hns3_update_new_int_gl()	 					
39ee6e8204b9d4bd46d57ad838fa852f5d293f99	net: hns3: Check for allocation failure	 											
9abeb7d8cf8719bf221bf371f97fbf0971657be3	net: hns3: keep flow director state unchanged when reset	 						
c59a85c07e77a7669e5b4d2ffa878b6894ec3953	net: hns3: stop sending keep alive msg to PF when VF is resetting	 				
eed9535f9f716a532ec0c5d6cc7a48584acdf435	net: hns3: fix an issue for hclgevf_ae_get_hdev	 									
9fc55413270fffe1b5ebdea03489d763c62c0305	net: hns3: fix improper error handling in the hclge_init_ae_dev()	 				
472d7ecee20e8fea18e6223cc1d383b6c3483502	net: hns3: fix for rss result nonuniform	 										
e215278548f9ea412e2be794efa1c84c6817c657	net: hns3: fix netif_napi_del() not do problem when unloading	 					
c8a8045b2d0a974149d65bbe6a7acbcde93cf85b	net: hns3: Fix NULL deref when unloading driver	 									
de67a690cc27024c22328ce8ff3a2ed32f30fe7d	net: hns3: only support tc 0 for VF	
74354140a579008fd164241e3697d9c37e5b8989	net: hns3: change hnae3_register_ae_dev() to int	 								
fc0c174f4223b7340999e1b3004dbc3b3b9b06de	net: hns3: use the correct interface to stop|open port	 							
8e1445a653c9f9a51fca6f80b8df82b523e1c4ba	net: hns3: fix VF dump register issue	 											
1a6e552df33c0dca4fecd0a179833d1b5233012a	net: hns3: reuse the definition of l3 and l4 header info union
Comment 1 tian tao 2019-02-22 01:52:23 UTC
f01f5559cac89e57f2420aa77abf35f2e7b09104	Bugfix	net: hns3: don't allow vf to enable promisc mode
b7b585c286ab021bdb1d0c14b93c58b6bfbe3ef0	Bugfix	net: hns3: add initialization for nic state
51e8439f34962794f6c5010a44893fe58450b8df	Bugfix	net: hns3: add 8 BD limit for tx flow
1cce5eb6506d8e4924927062398e8d9ff6411536	Bugfix	net: hns3: call hns3_nic_set_real_num_queue with netdev down
a1ef124e6e8621e9472098a7a37655ef4bace423	Bugfix	net: hns3: remove dcb_ops->map_update in hclge_dcb
c2a39d981da7a04874d3ba17ac6122b8e62ec8e1	Bugfix	net: hns3: do reinitialization while mqprio configuration changed
350fda0a0af9d077e895c7b01a4901d354ae656e	Bugfix	net: hns3: After setting the loopback, add the status of getting MAC
28673b33c75621b52971b5d5aeed0be59de0bda5	Bugfix	net: hns3: fix broadcast promisc issue for revision 0x20
47ef6deccdfffaef8f56c5021a83a774fc77ee13	Bugfix	net: hns3: fix return value handle issue for hclge_set_loopback()
1821dce9ae6c6d70e9e9ea93638855e7a27797ca	Bugfix	net: hns3: add error handling in hclge_ieee_setets
ac864c2346d087dd3739435af1b8d36be5f60c75	Bugfix	net: hns3: clear pci private data when unload hns3 driver
217e288c9718b383d68cacec50e37ec2c085c485	Bugfix	net: hns3: don't update packet statistics for packets dropped by hardware
d3ad430ac531e65f29c9737f86744c425c9173ef	Bugfix	net: hns3: fix PFC not setting problem for DCB module
d174ea75c96a12287354af53dc17cb24f328f90a	Bugfix	net: hns3: add statistics for PFC frames and MAC control frames
330baff5423b143fba698f2acc9eff3cfb1a0776	Bugfix	net: hns3: add ETS TC weight setting in SSU module
44e59e375bf7785660a250f61e802996894d148a	Bugfix	net: hns3: do not return GE PFC setting err when initializing
4a402f47cfce904051cd8b31bef4fe2910d9dce9	Bugfix	net: hns3: Change fw error code NOT_EXEC to NOT_SUPPORTED
ac574b80a1ba834be01932d8cd4976acda775a36	Bugfix	net: hns3: clear param in ring when free ring
8be7362186bd5ccb5f6f72be49751ad2778e2636	Bugfix	net: hns3: fix bug of ethtool_ops.get_channels for VF
9e5157ba440f2bf87071c017545d6c4ba627e501	Bugfix	net: hns3: fix for shaper not setting when TC num changes
90c68a41db7d02ac031e612c0c97147a58e20515	Bugfix	net: hns3: fix rss configuration lost problem when setting channel
d3ec4ef669379bf69891415b4f1397a26a81932c	Bugfix	net: hns3: refactor the statistics updating for netdev
c376fa1aae6328beb5551e92fa84f4441fdde399	Bugfix	net: hns3: add rx multicast packets statistic
45e92b7e4e27a427de7e87d5c4d63d4ce7ba02ab	Bugfix	net: hns3: add calling roce callback function when link status change
1f60949297ceb92f8dbf0571f5f502988bbb0273	Bugfix	net: hns3: add HNAE3_RESTORE_CLIENT interface in enet module
af013903c5c5dc4a251e0ac49eaab9411293f9f9	Bugfix	net: hns3: do reinitialization while ETS configuration changed
c3b9c50d1567aa12be4448fe85b09626eba2499c	Bugfix	net: hns3: fix wrong combined count returned by ethtool -l
205a24ca2df10621a19081ad349920870759c0a6	Bugfix	net: hns3: adjust the use of alloc_tqps and num_tqps
672ad0ede179b129ad1c9dbc080a8b808cce510c	Bugfix	net: hns3: fix user configuration loss for ethtool -L
af95882728e30969d3ef911a0814bcd9ca56ee37	Bugfix	net: hns3: remove redundant codes in hclge_knic_setup
c78b5b6cdc8fd8a305b26ba59fe5fad6a0acbe6e	Bugfix	net: hns3: modify parameter checks in the hns3_set_channels
73fc9c4882439b3ea4f185264e1c6d969d61b067	Bugfix	net: hns3: add interface hclge_tm_bp_setup
65749f7375ae7a3cc14237c9972e5a3c14116c85	Bugfix	net: hns3: reuse reinitialization interface in the hns3_set_channels
be5929b89002bb6b06b299f04bc35d90ab9d08fe	Bugfix	net: hns3: remove unnecessary hns3_adjust_tqps_num
a81aca01a1152b8fafcb67f6d3122cf815e87a70	Bugfix	net: hns3: remove unused member in struct hns3_enet_ring
2c9dd668914bb9813b83bc62c28ebfe53e205525	Bugfix	net: hns3: modify enet reinitialization interface
Comment 2 tian tao 2019-02-22 01:53:48 UTC
e888402789b9db5de4fcda361331d66dbf0cd9fd	net: hns3: call hns3_nic_net_open() while doing HNAE3_UP_CLIENT
1154bb26c879fea51c20aee167ddce4345caa255	net: hns3: remove redundant variable initialization
c77804be53369dd4c15bfc376cf9b45948194cab	net: hns: Fix WARNING when hns modules installed
e888402789b9db5de4fcda361331d66dbf0cd9fd	net: hns3: call hns3_nic_net_open() while doing HNAE3_UP_CLIENT
1154bb26c879fea51c20aee167ddce4345caa255	net: hns3: remove redundant variable initialization
39cfbc9c4fc4a2888548c2624789e42e3f775721	net: hns3: reset tqp while doing DOWN operation
75edb610860fda65ceedb017fc69afabd2806b8b	net: hns3: add max vector number check for pf
1b7d7b0581173219b82abbd81c88cf8aa7d402c2	net: hns3: fix a bug caused by udelay
a298797532d9dc244abf349d7c2ed063732c6ba3	net: hns3: change default tc state to close
8cdb992f0dc36d6382840b1a6320e0c327a7d644	net: hns3: refine the handle for hns3_nic_net_open/stop()
af854724e51e4047f534ac6d19b3ef9fb3c35c49	net: hns3: fix a SSU buffer checking bug
b9a400ac295728b2d47445e09814e1880409b311	net: hns3: aligning buffer size in SSU to 256 bytes
368686be234daf365ef184a6ee1c4a6c18ede3b1	net: hns3: getting tx and dv buffer size through firmware
0ad5ea5dbd6cb1e62bac547db5e61bab15af4f44	net: hns3: synchronize speed and duplex from phy when phy link up
8362089d787724bb252f13f942921051943369c7	net: hns3: remove 1000M/half support of phy
7445565cd064679421e3cf4d440589ee723f6c08	net: hns3: update coalesce param per second
ae6017a71115ebc4e5c1a3f0f451319ab3f5c447	net: hns3: fix incomplete uninitialization of IRQ in the hns3_nic_uninit_vector_data()
b51c366df70da0100193d13975980f1990a2d47b	net: hns3: remove unnecessary configuration recapture while resetting
b644a8d4cb18305d31383188da75615490b2c6ef	net: hns3: update some variables while hclge_reset()/hclgevf_reset() done
cda69d244585bc4497d3bb878c22fe2b6ad647c1	net: hns3: fix error handling int the hns3_get_vector_ring_chain
Comment 3 tian tao 2019-02-22 01:55:39 UTC
the below patch is new feature for dfx

82e00b86a5b60d21e85564ec7dccaddc37ec2b00	net: hns3: Add "tm map" status information query function
0c29d1912b81a0d8ab7eb46ce7036a8c0fb073e3	net: hns3: Add "queue map" information query function
c0ebebb9ccc1363e117b52189e93d6ec646b33df	net: hns3: Add "dcb register" status information query function
27cf979a15841eed5de06b6f46ae490ce2fda46b	net: hns3: Add "status register" information query function
7737f1fbb5ba1581e8b77ed4b2302485fa237f1e	net: hns3: Add "manager table" information query function
122bedc56a6c4f5be3bc56fdc59d4b3a25097ead	net: hns3: Add "bd info" query function
Comment 4 tian tao 2019-02-22 01:57:13 UTC
the below patch is new feature for ras

630ba007f4750722bc56dfebfaf1c0316c2fcb69	net: hns3: add handling of RDMA RAS errors
c3529177db471b964fbe327ffb801266f0482d64	net: hns3: handle hw errors of SSU
f69b10b317f9dd286b6f03f2d6d8d5980b8ca9bc	net: hns3: handle hw errors of PPU(RCB)
8fc9d3e3b46b1aa881d897c1405516ee8c7c6f43	net: hns3: handle hw errors of PPP PF
7838f908e251497502092e625f2053398c23516b	net: hns3: add handling of hw errors of MAC
f6162d44126ce0f601f92afc770648b73924eb6c	net: hns3: add handling of hw errors reported through MSIX
8bb147927c7c6caf8a26d9f5022f5744b12ea55a	net: hns3: deleted logging 1 bit errors
332fbf576579a78a769209a9e588dae0c8fc0bdb	net: hns3: add handling of hw ras errors using new set of commands
481a626a603d5e234618a19abbaa889405755f46	net: hns3: add optimization in the hclge_hw_error_set_state
381c356e956627d387b7f0944d7616175057504f	net: hns3: rename process_hw_error function
166b04c3ee31994a133fc27393c99aee7e7164d7	net: hns3: deletes unnecessary settings of the descriptor data
f3fa4a94dbc2f2b6ee05295bc92457e545c95131	net: hns3: re-enable error interrupts on hw reset
98da4027afa626221466adf43e627e8668802884	net: hns3: rename enable error interrupt functions
fe0f7d698d5dce6195b034e1c5f4ea1633d42387	net: hns3: remove existing process error functions and reorder hw_blk table
Comment 5 tian tao 2019-02-22 02:04:07 UTC
The following are the modifications of the community ,which are optional
00f54e68924eaf075f3f24be18557899d347bc4a	net: core: dev: Add extack argument to dev_open()
Comment 6 tian tao 2019-02-22 02:08:19 UTC
The following are the modifications of the community ,which are optional

3c1bcc8614db	net: ethernet: Convert phydev advertize and supported from u32 to link mode
70814e819c11	net: ethernet: Add helper for set_pauseparam for Asym Pause
af8d9bb2f2f4	net: ethernet: Add helper for MACs which support asym pause
04b7d41d8046	net: ethernet: Fix up drivers masking pause support
ead751507de8	net: hns3: Add reset interface implementation in client
Comment 7 tian tao 2019-02-22 02:12:53 UTC
c9c3941186c5	net: hns3: fix return type of ndo_start_xmit function
7a7056e3dfa6 	net: hns3: simplify hclge_cmd_csq_clean
bf90945			Revert "net: hns3: Add packet statistics of netdev"
8491000			net: hns3: Add packet statistics of netdev
8c5db92a705d	net: hns3: fix a bug for phy supported feature initialization
2a171788ba7b	net: hns3: add support for nway_reset
Comment 8 tian tao 2019-02-27 09:31:12 UTC
net: hns3: don't allow user to change vlan filter state


1. disable vlan filter with ethtool command(ethtool -K eth0 rx-vlan-filter off);
2. create vlan device for eth0(vconfig add eth0 100);
3. enable vlan filter(ethtool -K eth0 rx-vlan-filter on);
4. ping eth0.10, it will fail for vlan 100 was not added into vlan filter
Comment 9 tian tao 2019-02-27 10:54:32 UTC
net: hns3: fix a wrong checking in the hclge_tx_buffer_calc()


[Bug Description]
Only the TC is enabled, we need to check whether the buffer is enough,
otherwise it may lead to a wrong -ENOMEM case.

[Steps to Reproduce]
1、edit code or firmware to make the number of enabled TC not equel to
the number of TC, and total buffer size equel to enabled TC * tx_buf_size
2、load driver

[Actual Results]
load fail.

[Expected Results]
load successfully.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Only the TC is enabled, we need to check whether the buffer is enough
Comment 10 tian tao 2019-02-27 10:55:25 UTC
net: hns3: move some set_bit statement into hclge_prepare_mac_addr
[Bug Description]
This patch does not change the code logic. There are some same set_bit statements called by add/rm_uc/mc_addr_common, and I move this statements into hclge_prepare_mac_addr to reduce duplicate code.

[Actual Results]
ping OK

[Expected Results]
ping OK

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
ping OK
Comment 11 tian tao 2019-02-27 10:56:11 UTC
net: hns3: add hclge_cmd_check_retval() to parse comman's return value
[Bug Description]
For simplifying the code, this patch adds hclge_cmd_check_retval() to check the return value of the command.

Also, according the IMP's description, when there are several descriptors in a command, then the IMP will save the return value on the last description, so hclge_cmd_check_retval() just check the last one for this case.


[Actual Results]
ping OK

[Expected Results]
ping OK

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
ping OK
Comment 12 tian tao 2019-02-27 10:56:50 UTC
net: hns3: Modify parameter type from int to bool in set_gro_en
[Bug Description]
Code optimization.
Fixes some static check issues

[Actual Results]
set GRO ok

[Expected Results]
set GRO ok

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
The second parameter to the hook function set_gro_en is always passed in true/false, so modify it's type from int to bool.
Comment 13 tian tao 2019-02-27 10:57:51 UTC
net: hns3: fix an issue for hns3_update_new_int_gl

[Bug Description]
HNS3 supports setting rx-usecs|tx-usecs as 0, but it will not
update dynamically when adaptive-tx or adaptive-rx is enable.
This patch removes the Redundant check.

[Actual Results]
HNS3 supports setting rx-usecs|tx-usecs as 0, it will
update dynamically when adaptive-tx or adaptive-rx is enable(iperf test after ping ).

[Expected Results]
HNS3 supports setting rx-usecs|tx-usecs as 0, it will
update dynamically when adaptive-tx or adaptive-rx is enable(iperf test after ping ).

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
removes the Redundant check.
Comment 14 tian tao 2019-02-27 10:59:46 UTC
net: hns3: keep flow director state unchanged when reset

1.create flow director rule with ethtool command(ethtool -U eth0 flow-type ip4 action 10 loc 3)
2. send ipv4 packets to eth0, it will be accepted by queue 10.
3. diable flow director(ethtool -K eth0 ntuple off)
4. send the same ipv4 packets to eth0, it will be accepted by other queue(assigned by rss)
5. do core reset or global reset
6. send the same ipv4 packets to eth0, it will be accepted by queue 10(flow director was enabled again after reset)
Comment 15 tian tao 2019-02-27 11:01:06 UTC
net: hns3: stop sending keep alive msg to PF when VF is resetting

1. load up VF1 for eth0
2. do VF reset, it will print
 "VF failed(=-16) to send mbx message to PF"
"VF sends keep alive cmd failed(=-16) "
Comment 16 tian tao 2019-02-27 11:01:55 UTC
net: hns3: fix an issue for hclgevf_ae_get_hdev

[Bug Description]
Code optimization
   This patch removes the redundant variable initialization,
    as driver will devm_kzalloc to set value to hdev soon.

[Actual Results]
VF insmod Ok, VF ping OK.

[Expected Results]
VF insmod Ok, VF ping OK.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
   This patch removes the redundant variable initialization,
    as driver will devm_kzalloc to set value to hdev soon.
Comment 17 tian tao 2019-02-27 11:03:45 UTC
net: hns3: fix improper error handling in the hclge_init_ae_dev()

[Bug Description]
When the driver is unloading, if there is a calling of ndo_open occurs
between phy_disconnect() and unregister_netdev(), it will end up
causing the kernel to eventually hit a NULL deref.

[Steps to Reproduce]
1、unbind or unload driver
2、do reset at the same time
3、redo 1&2 until problem happens

[Actual Results]
unload fail.

[Expected Results]
unload successfully.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Modifying the timing to do phy_connect_direct() and phy_disconnect(),
also some code optimization.
Comment 18 tian tao 2019-02-27 11:04:26 UTC
net: hns3: fix for rss result nonuniform

1.load up eth0, use hash key generated by kernel(for example: ee:57:dc:54:ed:5d:4e:ec:1b:ce:89:0e:d4:68:fc:06:99:7f:fb:aa:c0:35:f9:1b:d6:72:fe:5a:95:28:67:03:54:15:c7:9d:a9:37:6f:34),
2.send 800 packets to eth0, with src-ip increased from "0.0.0.0~0.0.3.31"
3. check the rx statistics, only a few queues accepted these packets
Comment 19 tian tao 2019-02-27 11:05:05 UTC
net: hns3: fix netif_napi_del() not do problem when unloading

[Bug Description]
When the driver is unloading, if there is a calling of ndo_open occurs
between phy_disconnect() and unregister_netdev(), it will end up
causing the kernel to eventually hit a NULL deref.

[Steps to Reproduce]
1、unbind or unload driver
2、do reset at the same time
3、redo 1&2 until problem happens

[Actual Results]
unload fail.

[Expected Results]
unload successfully.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Modifying the timing to do phy_connect_direct() and phy_disconnect(),
also some code optimization.
Comment 20 tian tao 2019-02-27 11:05:43 UTC
net: hns3: Fix NULL deref when unloading driver

[Bug Description]
When the driver is unloading, if there is a calling of ndo_open occurs
between phy_disconnect() and unregister_netdev(), it will end up
causing the kernel to eventually hit a NULL deref.

[Steps to Reproduce]
1、unbind or unload driver
2、do reset at the same time
3、redo 1&2 until problem happens

[Actual Results]
unload fail.

[Expected Results]
unload successfully.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Modifying the timing to do phy_connect_direct() and phy_disconnect(),
also some code optimization.
Comment 21 tian tao 2019-02-27 11:06:29 UTC
net: hns3: only support tc 0 for VF

[Bug Description]
When the VF shares the same TC config as PF, the business
running on PF and VF must have samiliar module. For simplicity,
we are not considering VF sharing the same tc configuration as
PF use case.

[Steps to Reproduce]
1、Run VM & load VF driver
2、set PF's PFC

[Actual Results]
cannot set up PFC

[Expected Results]
can set up PFC

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Removes the support of TC configuration from VF and
forcing VF to just use single TC.
Comment 22 tian tao 2019-02-27 11:09:54 UTC
net: hns3: fix VF dump register issue

1.load up VF 1 for eth0
2. dump vf registers with ethtool command(ethtool -d devname), it doesn't work
Comment 23 tian tao 2019-02-27 11:10:44 UTC
net: hns3: reuse the definition of l3 and l4 header info union

[Bug Description]
Code optimization.
Fixes some static check issues

[Actual Results]
set GRO ok

[Expected Results]
set GRO ok

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
The second parameter to the hook function set_gro_en is always passed in true/false, so modify it's type from int to bool.
Comment 24 tian tao 2019-02-27 11:11:18 UTC
net: hns3: don't allow vf to enable promisc mode

1. load up VF1 for eth0
2. enable promisc mode for VF1
3. send packet to eth0, but VF1 can also receive it.
Comment 25 tian tao 2019-02-27 11:12:14 UTC
net: hns3: add 8 BD limit for tx flow

[Bug Description]
A single transmit packet can span up to 8 descriptors,
TSO transmit packet can be stored up to 63 descriptors
and each segment within the TSO should be spanned up to
8 descriptors.

 
If the packet needs more than 8 BD, and the total size of
every 7 continuous frags more than MSS, HW does not support
it, and it need driver makes SKB Linearized.

[Actual Results]
iscsi and bigdata spark test OK

[Expected Results]
iscsi and bigdata spark test OK

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
SW use skb_copy to merge frag;
Comment 26 tian tao 2019-02-27 11:12:48 UTC
net: hns3: After setting the loopback, add the status of getting MAC
[Bug Description]
Add a new serdes loopback

[Actual Results]
ethtool -t eth* no serdesloop

[Expected Results]
ethtool -t eth* has serdesloop

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Add a new serdes loopback
Comment 27 tian tao 2019-02-27 11:16:05 UTC
net: hns3: fix PFC not setting problem for DCB module

[Bug Description]
The PFC enabling is based on user priority, currently it is
based on TC, which may cause PFC not setting correctly when pri
to TC mapping is not one to one relation.

[Steps to Reproduce]
1、Load HNS3
2、set up 8 priority level

[Actual Results]
Level 4~7 have not PFC packets

[Expected Results]
Level 4~7 have PFC packets

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Adds pfc_en in tm_info to fix it.
Comment 28 tian tao 2019-02-27 11:30:01 UTC
net: hns3: add statistics for PFC frames and MAC control frames

[Bug Description]
In the old firmware version, statistics acquisition of
PFC frames and MAC control frames is not supported.

[Steps to Reproduce]
1、Load HNS3
2、ethtool -S eth*

[Actual Results]
no PFC statistics

[Expected Results]
has PFC statistic

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Add command retrieves statistics for PFC frames and
MAC control frames from the firmware.
Comment 29 tian tao 2019-02-27 11:30:39 UTC
net: hns3: add ETS TC weight setting in SSU module

[Bug Description]
Currently have not set the TC weight in SSU module

[Steps to Reproduce]
1、Load HNS3
2、run LLDP server
3、setup ETS

[Actual Results]

ETS rate limiting of SSU module inaccurate 

[Expected Results]
ETS rate limiting of SSU module accurate 

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Sets the TC weight in SSU module according to info in tm_info.
Also, zero weight of TC weight in SSU ETS module means enabling
strict priority, so do not allow zero weight when in ETS mode.
Comment 30 tian tao 2019-02-27 11:31:42 UTC
net: hns3: do not return GE PFC setting err when initializing

[Bug Description]
When loading driver, the port who has phy will get "set pfc pause failed: -5"

[Steps to Reproduce]
1、Load HNS3

[Actual Results]
get error print

[Expected Results]
not error print

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
According to firmware error code definition, the error code of 2
means NOT_SUPPORTED, this patch changes it to NOT_SUPPORTED.
Comment 31 tian tao 2019-02-27 11:37:31 UTC
net: hns3: Change fw error code NOT_EXEC to NOT_SUPPORTED

[Bug Description]
When loading driver, the port who has phy will get "set pfc pause failed: -5"

[Steps to Reproduce]
1、Load HNS3

[Actual Results]
get error print

[Expected Results]
not error print

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
According to firmware error code definition, the error code of 2
means NOT_SUPPORTED, this patch changes it to NOT_SUPPORTED.
Comment 32 tian tao 2019-02-27 11:38:19 UTC
net: hns3: fix bug of ethtool_ops.get_channels for VF

[Bug Description]
The current code returns the number of all queues that can be used and
the number of queues that have been allocated, which is incorrect.

[Steps to Reproduce]
1、run VM and load VF driver
2、ethtool -l

[Actual Results]
the result of 'ethtool -l' is not same as actual number.

[Expected Results]
the result of 'ethtool -l' is same as actual number.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]

What should be returned is the number of queues allocated for each enabled
TC and the number of queues that can be allocated.
Comment 33 tian tao 2019-02-27 11:38:49 UTC
net: hns3: fix for shaper not setting when TC num changes

[Bug Description]
Shaper setting does not change currently, when TC num changes,
which may cause shaper parameter not setting problem.

[Steps to Reproduce]
1、Load HNS3 driver
2、set up ETS
3、change TC num

[Actual Results]
ping not ok

[Expected Results]
ping ok

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Setting the shaper parameter when TC num changes.
Comment 34 tian tao 2019-02-27 11:40:50 UTC
net: hns3: fix rss configuration lost problem when setting channel

[Bug Description]
Currently rss configuration set by user will be lost when setting
channel.

[Steps to Reproduce]
1、Load HNS3 driver
2、set RSS
3、do reset

[Actual Results]
RSS configuration lost

[Expected Results]
RSS configuration not lost

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
Not setting rss configuration to default if user has configured the rss.
Comment 35 tian tao 2019-02-27 11:42:06 UTC
net: hns3: add calling roce callback function when link status change

[Bug Description]
RoCE can not know about the link changing

[Steps to Reproduce]
1、Load HNS3 & RoCEdriver
2、change link status

[Actual Results]
RoCE cannot know about the link changing

[Expected Results]
RoCE can know about the link changing

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
adds calling roce callback function when link status change.
Comment 36 tian tao 2019-02-27 11:42:42 UTC
net: hns3: add HNAE3_RESTORE_CLIENT interface in enet module

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 37 tian tao 2019-02-27 11:43:16 UTC
net: hns3: do reinitialization while ETS configuration changed

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 38 tian tao 2019-02-27 11:54:49 UTC
net: hns3: fix wrong combined count returned by ethtool -l

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 39 tian tao 2019-02-27 11:55:37 UTC
 net: hns3: adjust the use of alloc_tqps and num_tqps

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 40 tian tao 2019-02-27 11:56:16 UTC
net: hns3: fix user configuration loss for ethtool -L

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 41 tian tao 2019-02-27 11:57:22 UTC
net: hns3: remove redundant codes in hclge_knic_setup

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 42 tian tao 2019-02-27 11:57:54 UTC
net: hns3: modify parameter checks in the hns3_set_channels

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 43 tian tao 2019-02-27 11:58:25 UTC
net: hns3: add interface hclge_tm_bp_setup

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 44 tian tao 2019-02-27 12:01:04 UTC
net: hns3: reuse reinitialization interface in the hns3_set_channels

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 45 tian tao 2019-02-27 12:01:36 UTC
net: hns3: remove unnecessary hns3_adjust_tqps_num

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 46 tian tao 2019-02-27 12:02:33 UTC
net: hns3: remove unused member in struct hns3_enet_ring

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,also do some code optimizations.
Comment 47 tian tao 2019-02-27 12:03:08 UTC
net: hns3: modify enet reinitialization interface

[Bug Description]
In current implementation, there is no way to save the user's configuration,
when change to PFC and set it back, the number of channel cannot recover.

[Steps to Reproduce]
1、ethtool -L change the number of the channel
2、set up PFC
3、set back to normal TC

[Actual Results]
User's configuration is lost

[Expected Results]
Try the best to meet the user's configuration.

[Reproducibility]
Inevitably

[Additional information]
Hardware: D06
Firmware: NA
Kernel: NA

[Resolution]
add a req_rss_size field in the struct hnae3_knic_private_info to save user's configuration,
also do some code optimizations.
Comment 48 tian tao 2019-02-28 00:59:19 UTC
Created attachment 798352 [details]
20190215 bug desciption
Comment 49 tian tao 2019-02-28 06:20:11 UTC
Created attachment 798372 [details]
20190130 bug frsciption
Comment 50 tian tao 2019-02-28 06:26:33 UTC
51e8439f34962794f6c5010a44893fe58450b8df  net: hns3: add 8 BD limit for tx flow

This patch is important. This patch will cause network disconnection. This problem has been reported for several times.
Comment 51 tian tao 2019-02-28 07:26:13 UTC
<repo >
git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git

<problem detail description >
34f81f049e354082f638820afe5e59bbd243fb18 net: hns3: clear command queue's registers when unloading VF driver
232d0d55fca6ab589d5267c74a376210f341d71e net: hns3: uninitialize command queue while unloading PF driver
c6075b193462d9a3930fb41f587f94720658752a net: hns3: Record VF vlan tables
6dd86902f21d096ed7ef2dcc921ee80c73807313 net: hns3: Record VF unicast and multicast tables
3aff0ac97391fe4181fd68f06b8fec345f7d1bc5 net: hns3: fix 6th bit of ppp mpf abnormal errors
d1f55d6bfcf007691a6392ca421cf5fa1b007d1c net: hns3: enable 8~11th bit of mac common msi-x error
747fc3f351baa061b41a1e2a81821bc963e4f794 net: hns3: some bugfix of ppu(rcb) ras errors
3d69e59f42bdd57c2a185da52f9579c33dec7121 net: hns3: modify print message of ssu common ecc errors
f18635d52c23594259da2f741399abc6c6f41f15 net: hns3: fix port info query issue for copper port
db68ca0ef7c98bb39cb193571c63b22ca99f633f net: hns3: convert mac advertize and supported from u32 to link mode
676131f7c53ecdd79e29fc8cfcdefe6f9f2485e8 net: hns3: Check variable is valid before assigning it to another
bdd59d661153a59af79112676565276ae2a1f457 net: hns3: add pointer checking at the beginning of the exported functions.
Comment 52 tian tao 2019-02-28 07:35:57 UTC
<repo >
git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git

<problem detail description >
186551284e6ec3d7c87b0e48da570816a39e9afc net: hns3: fix improper error handling for hns3_client_start
eb4c2ccbad6c688be791e0c08640a40124558c03 net: hns3: fix setting of the hns reset_type for rdma hw errors
a638b1d8cc875ae819591be787503fc1db053d5f net: hns3: fix get VF RSS issue
30ebc576d7773c7d8b53fa7941c2c56e488589fd net: hns3: enable VF VLAN filter for each VF when initializing
c04259442395a6d9648e8dd105e9058726b2451a net: hns3: add support to config depth for tx|rx ring separately
e8149933b1fab774e892f8ab605d241df673291c net: hns3: remove hnae3_get_bit in data path
cde4ffada8290c803e5b68423466118e5421c774 net: hns3: replace hnae3_set_bit and hnae3_set_field in data path
0cccebac710a2ac1ee9a18744e9ee24746f7d947 net: hns3: add unlikely for error handling in data path
d40fa7eeab55dc1f0ab5f81d1c53af31dbcdd9ac net: hns3: remove some ops in struct hns3_nic_ops
47e7b13b0aff869465585d36a8d5075fe17cb90a net: hns3: limit some variable scope in critical data path
3fe13ed95dd3c4aede3313a2dd2d589c207b51d0 net: hns3: avoid mult + div op in critical data path
2a73ac3e6c9d7cd80af731bcb699c180d95c8166 net: hns3: add xps setting support for hns3 driver
Comment 53 Thomas Bogendoerfer 2019-02-28 09:35:14 UTC
(In reply to tian tao from comment #52)
> <repo >
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git

commit ids from linux-next are volatile since the tree well be rebased
on a daily base. Please provide from an upstream maintainer in your
case probably net-next from Dave Miller.

I also would appriciate if you generate commit lists with something
like

git log --abbrev=12 --no-merges --reverse --oneline --topo-order

which makes them more readable in bugzilla.

Thank you.
Comment 54 tian tao 2019-02-28 09:38:10 UTC
(In reply to Thomas Bogendoerfer from comment #53)
> (In reply to tian tao from comment #52)
> > <repo >
> > git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> 
> commit ids from linux-next are volatile since the tree well be rebased
> on a daily base. Please provide from an upstream maintainer in your
> case probably net-next from Dave Miller.
> 
> I also would appriciate if you generate commit lists with something
> like
> 
> git log --abbrev=12 --no-merges --reverse --oneline --topo-order
> 
> which makes them more readable in bugzilla.
> 
> Thank you.

ok.
Comment 55 tian tao 2019-02-28 09:54:41 UTC
<repo >
https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git/

<problem detail description >
e511f17b1fb4 net: hns3: make function hclge_set_all_vf_rst() static
bdd59d661153 net: hns3: add pointer checking at the beginning of the exported functions.
676131f7c53e net: hns3: Check variable is valid before assigning it to another
db68ca0ef7c9 net: hns3: convert mac advertize and supported from u32 to link mode
f18635d52c23 net: hns3: fix port info query issue for copper port
3d69e59f42bd net: hns3: modify print message of ssu common ecc errors
747fc3f351ba net: hns3: some bugfix of ppu(rcb) ras errors
d1f55d6bfcf0 net: hns3: enable 8~11th bit of mac common msi-x error
3aff0ac97391 net: hns3: fix 6th bit of ppp mpf abnormal errors
6dd86902f21d net: hns3: Record VF unicast and multicast tables
c6075b193462 net: hns3: Record VF vlan tables
232d0d55fca6 net: hns3: uninitialize command queue while unloading PF driver
34f81f049e35 net: hns3: clear command queue's registers when unloading VF driver
2a73ac3e6c9d net: hns3: add xps setting support for hns3 driver
3fe13ed95dd3 net: hns3: avoid mult + div op in critical data path
47e7b13b0aff net: hns3: limit some variable scope in critical data path
d40fa7eeab55 net: hns3: remove some ops in struct hns3_nic_ops
0cccebac710a net: hns3: add unlikely for error handling in data path
cde4ffada829 net: hns3: replace hnae3_set_bit and hnae3_set_field in data path
e8149933b1fa net: hns3: remove hnae3_get_bit in data path
c04259442395 net: hns3: add support to config depth for tx|rx ring separately
30ebc576d777 net: hns3: enable VF VLAN filter for each VF when initializing
a638b1d8cc87 net: hns3: fix get VF RSS issue
eb4c2ccbad6c net: hns3: fix setting of the hns reset_type for rdma hw errors
186551284e6e net: hns3: fix improper error handling for hns3_client_start
Comment 56 tian tao 2019-02-28 10:27:36 UTC
The bugs that are updated today have been submitted again according to your requirements. Do I need to submit the bugs that have not been incorporated into the system according to your requirements?
Comment 57 tian tao 2019-03-11 00:39:17 UTC
<repo >
https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git

<problem detail description >
f4772dee101c net: hns3: Fix a logical vs bitwise typo
d394d33bee22 net: hns3: add dma_rmb() for rx description
69b51bbb03f7 net: hns3: fix to stop multiple HNS reset due to the AER changes
Comment 58 tian tao 2019-03-11 00:42:17 UTC
The following patch is very important. If this patch does not exist, the system breaks down during the network pressure test.

d394d33bee22 net: hns3: add dma_rmb() for rx description

linux-pnm4:~ # cat /proc/kmsg
<47>[  617.651769] systemd-journald[1463]: Successfully sent stream file descriptor to service manager.
<47>[  617.671703] systemd-journald[1463]: Successfully sent stream file descriptor to service manager.
<6>[  627.290487] BTRFS info (device sda1): qgroup scan completed (inconsistency flag cleared)
<47>[  679.325602] systemd-journald[1463]: Sent WATCHDOG=1 notification.
<4>[  682.539798] ------------[ cut here ]------------
<2>[  682.544415] kernel BUG at ../include/linux/skbuff.h:1975!
<4>[  682.554586] Modules linked in: fuse xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT xt_tcpudp tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables ib_umad ib_ipoib mlx5_ib rpcrdma sunrpc rdma_ucm nls_utf8 ib_iser isofs rdma_cm iw_cm ib_cm libiscsi scsi_transport_iscsi loop hns_roce_hw_v2 hns_roce ib_uverbs nls_iso8859_1 nls_cp437 vfat fat xfs libcrc32c ib_core ipmi_ssif marvell aes_ce_blk crypto_simd cryptd joydev aes_ce_cipher crc32_ce crct10dif_ce ghash_ce aes_arm64 sha2_ce sha256_arm64 sha1_ce sbsa_gwdt mlx5_core hns3 ixgbe ses enclosure igb mlxfw tls hclge xfrm_algo i2c_algo_bit ipmi_si devlink hnae3 mdio ipmi_devintf ipmi_msghandler
<4>[  682.663759] Supported: Yes
<4>[  682.674449] Hardware name: Huawei TaiShan 2280 V2/BC82AMDA, BIOS TA BIOS 2280-A CS V2.12.01 01/31/2019
<4>[  682.689654] pstate: 80400009 (Nzcv daif +PAN -UAO)
<4>[  682.698530] lr : hns3_clean_rx_ring+0x3dc/0x6f8 [hns3]
<4>[  682.706961] x29: ffff803f80bfc990 x28: ffff803f740d4700
<4>[  682.717564] x25: 0000000000000040 x24: ffff803f7a99a000
<4>[  682.728166] x21: 0000000000000004 x20: ffff803f7a99a000
<4>[  682.738769] x17: 0000ffff98c95a08 x16: ffff00000881c950
<4>[  682.749372] x13: 01010000ce86e500 x12: 1080ab153fb27e5d
<4>[  682.759974] x9 : 064000403d566cf3 x8 : 004500081b00001d
<4>[  682.770577] x5 : 0000000000000001 x4 : 0000000000000002
<4>[  682.781179] x1 : 000000000000f7be x0 : 000000000000f36c
<4>[  682.793257] Call trace:
<4>[  682.799436]  hns3_clean_rx_ring+0x3dc/0x6f8 [hns3]
<4>[  682.809086]  net_rx_action+0x150/0x3c8
<4>[  682.816477]  irq_exit+0x128/0x140
<4>[  682.823866]  gic_handle_irq+0x80/0x18c
<4>[  682.830734]  arch_cpu_idle+0x30/0x188
<4>[  682.837604]  cpu_startup_entry+0x2c/0x30
<0>[  682.846035] Code: 33000820 39024260 17ffffe8 d503201f (d4210000)

Message from syslogd@linux-pnm4 at Feb 23 09:30:04 ...
 kernel:[  682.549805] Internal error: Oops - BUG: 0 [#1] SMP
<47>[  682.852391] systemd-journald[1463]: Compressed data object 810 -> 675 using LZ4
<2>[  682.856865] SMP: stopping secondary CPUs
Comment 59 Kai Liu 2019-03-11 02:36:44 UTC
(In reply to tian tao from comment #58)
> The following patch is very important. If this patch does not exist, the
> system breaks down during the network pressure test.
> 
> d394d33bee22 net: hns3: add dma_rmb() for rx description
> 
Which repo? I can't find it in mainline or linux-next.

How severe is this issue? For example, how long would it take to run into it during test, minutes, hours or days? By "system break down" you mean it hung and no longer accessible?
Comment 60 tian tao 2019-03-11 02:42:48 UTC
(In reply to tian tao from comment #57)
> <repo >
> https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git
> 
> <problem detail description >
> f4772dee101c net: hns3: Fix a logical vs bitwise typo
> d394d33bee22 net: hns3: add dma_rmb() for rx description
> 69b51bbb03f7 net: hns3: fix to stop multiple HNS reset due to the AER changes

the repo is https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git.
The problem can be reproduced within 5 minutes after the netperf test.
When this problem occurs,the system will hung,and no longer accessible,For details about the log, see comment 58
Comment 62 tian tao 2019-03-23 06:54:32 UTC
<repo >
https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git

<problem detail description >
5f543a54eec08228ab0cc0a49cf5d79dd32c9e5e net: hns3: fix for not calculating tx bd num correctly


We found a serious bug, the recurring steps are as follows:
1) Turn off the local and peer network ports TSO, GSO, GRO (LRO);
2) Open the local and peer tcpdump capture packets;
3) The peer end starts the iperf server, and the local end enables the client to send TCP packets to the peer.
4) In the process of running the TCP service, modify the MTU of the local end to 400, 1500, 9000;
5) The 8bd RAS and the read bus error are triggered during the running process. The software and hardware inconsistency in the network port reset repair causes the reset to fail. Eventually, the GE port eth4 and the service port eth0 are not linked.


When there is only one byte in a frag, the current calculation using "(size + HNS3_MAX_BD_SIZE - 1) >> HNS3_MAX_BD_SIZE_OFFSET" will return zero, because HNS3_MAX_BD_SIZE is 65535 and HNS3_MAX_BD_SIZE_OFFSET is 16. So it will cause tx error when a frag's size is one byte.
Comment 63 tian tao 2019-03-26 00:40:30 UTC
(In reply to tian tao from comment #62)
> <repo >
> https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git
> 
> <problem detail description >
> 5f543a54eec08228ab0cc0a49cf5d79dd32c9e5e net: hns3: fix for not calculating
> tx bd num correctly
> 
> 
> We found a serious bug, the recurring steps are as follows:
> 1) Turn off the local and peer network ports TSO, GSO, GRO (LRO);
> 2) Open the local and peer tcpdump capture packets;
> 3) The peer end starts the iperf server, and the local end enables the
> client to send TCP packets to the peer.
> 4) In the process of running the TCP service, modify the MTU of the local
> end to 400, 1500, 9000;
> 5) The 8bd RAS and the read bus error are triggered during the running
> process. The software and hardware inconsistency in the network port reset
> repair causes the reset to fail. Eventually, the GE port eth4 and the
> service port eth0 are not linked.
> 
> 
> When there is only one byte in a frag, the current calculation using "(size
> + HNS3_MAX_BD_SIZE - 1) >> HNS3_MAX_BD_SIZE_OFFSET" will return zero,
> because HNS3_MAX_BD_SIZE is 65535 and HNS3_MAX_BD_SIZE_OFFSET is 16. So it
> will cause tx error when a frag's size is one byte.

This bug is considered to be a verification problem. If the problem recurs, the network may be disconnected.
Comment 67 Jeffrey Cheung 2019-04-15 04:27:32 UTC
The needed patch "5f543a54eec08228ab0cc0a49cf5d79dd32c9e5e net: hns3: fix for not calculating tx bd num correctly" is already in SLE15 SP1 kernel RC2.

Closed for fixed.
Comment 76 Swamp Workflow Management 2019-12-06 15:21:57 UTC
This is an autogenerated message for OBS integration:
This bug (1126390) was mentioned in
https://build.opensuse.org/request/show/754695 15.1 / kernel-source
Comment 77 Swamp Workflow Management 2019-12-06 23:20:20 UTC
SUSE-SU-2019:3200-1: An update that solves 44 vulnerabilities and has 258 fixes is now available.

Category: security (important)
Bug References: 1046299,1046303,1046305,1048942,1050244,1050536,1050545,1051510,1054914,1055117,1055186,1061840,1064802,1065600,1065729,1066129,1071995,1073513,1082555,1082635,1083647,1086323,1087092,1089644,1090631,1091041,1093205,1096254,1097583,1097584,1097585,1097586,1097587,1097588,1098291,1101674,1103990,1103991,1104353,1104427,1104745,1104967,1106434,1108043,1108382,1109158,1109837,1111666,1112178,1112374,1113722,1113994,1114279,1117169,1117665,1118661,1119086,1119113,1119461,1119465,1120902,1122363,1123034,1123080,1123105,1126390,1127155,1127354,1127371,1127988,1131107,1131304,1131489,1133140,1134476,1134983,1135642,1135854,1135873,1135966,1135967,1136261,1137040,1137069,1137223,1137236,1137799,1137861,1137865,1137959,1137982,1138039,1138190,1138539,1139073,1140090,1140155,1140729,1140845,1140883,1141013,1141340,1141543,1141600,1142076,1142635,1142667,1142924,1143706,1144338,1144375,1144449,1144653,1144903,1145099,1145661,1146042,1146612,1146664,1148133,1148410,1148712,1148859,1148868,1149083,1149119,1149224,1149446,1149448,1149555,1149651,1149652,1149713,1149853,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150305,1150381,1150423,1150457,1150466,1150562,1150727,1150846,1150860,1150861,1150875,1150933,1151021,1151067,1151192,1151225,1151350,1151508,1151548,1151610,1151661,1151662,1151667,1151671,1151680,1151807,1151891,1151900,1151955,1152024,1152025,1152026,1152033,1152161,1152187,1152325,1152457,1152460,1152466,1152525,1152624,1152665,1152685,1152696,1152697,1152782,1152788,1152790,1152791,1152885,1152972,1152974,1152975,1153108,1153112,1153236,1153263,1153476,1153509,1153607,1153628,1153646,1153681,1153713,1153717,1153718,1153719,1153811,1153969,1154043,1154048,1154058,1154108,1154124,1154189,1154242,1154268,1154354,1154355,1154372,1154521,1154526,1154578,1154601,1154607,1154608,1154610,1154611,1154651,1154737,1154747,1154848,1154858,1154905,1154956,1154959,1155021,1155061,1155178,1155179,1155184,1155186,1155671,1155689,1155692,1155836,1155897,1155982,1156187,1156258,1156429,1156466,1156471,1156494,1156609,1156700,1156729,1156882,1156928,1157032,1157038,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157158,1157160,1157162,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157698,1157778,1157908,1158049,1158063,1158064,1158065,1158066,1158067,1158068
CVE References: CVE-2017-18595,CVE-2019-0154,CVE-2019-0155,CVE-2019-10220,CVE-2019-11135,CVE-2019-14821,CVE-2019-14835,CVE-2019-14895,CVE-2019-15030,CVE-2019-15031,CVE-2019-15916,CVE-2019-16231,CVE-2019-16233,CVE-2019-16995,CVE-2019-17055,CVE-2019-17056,CVE-2019-17666,CVE-2019-18660,CVE-2019-18683,CVE-2019-18805,CVE-2019-18809,CVE-2019-19046,CVE-2019-19049,CVE-2019-19052,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.7.1, kgraft-patch-SLE12-SP5_Update_1-1-8.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 78 Swamp Workflow Management 2019-12-06 23:57:34 UTC
SUSE-SU-2019:3200-1: An update that solves 44 vulnerabilities and has 258 fixes is now available.

Category: security (important)
Bug References: 1046299,1046303,1046305,1048942,1050244,1050536,1050545,1051510,1054914,1055117,1055186,1061840,1064802,1065600,1065729,1066129,1071995,1073513,1082555,1082635,1083647,1086323,1087092,1089644,1090631,1091041,1093205,1096254,1097583,1097584,1097585,1097586,1097587,1097588,1098291,1101674,1103990,1103991,1104353,1104427,1104745,1104967,1106434,1108043,1108382,1109158,1109837,1111666,1112178,1112374,1113722,1113994,1114279,1117169,1117665,1118661,1119086,1119113,1119461,1119465,1120902,1122363,1123034,1123080,1123105,1126390,1127155,1127354,1127371,1127988,1131107,1131304,1131489,1133140,1134476,1134983,1135642,1135854,1135873,1135966,1135967,1136261,1137040,1137069,1137223,1137236,1137799,1137861,1137865,1137959,1137982,1138039,1138190,1138539,1139073,1140090,1140155,1140729,1140845,1140883,1141013,1141340,1141543,1141600,1142076,1142635,1142667,1142924,1143706,1144338,1144375,1144449,1144653,1144903,1145099,1145661,1146042,1146612,1146664,1148133,1148410,1148712,1148859,1148868,1149083,1149119,1149224,1149446,1149448,1149555,1149651,1149652,1149713,1149853,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150305,1150381,1150423,1150457,1150466,1150562,1150727,1150846,1150860,1150861,1150875,1150933,1151021,1151067,1151192,1151225,1151350,1151508,1151548,1151610,1151661,1151662,1151667,1151671,1151680,1151807,1151891,1151900,1151955,1152024,1152025,1152026,1152033,1152161,1152187,1152325,1152457,1152460,1152466,1152525,1152624,1152665,1152685,1152696,1152697,1152782,1152788,1152790,1152791,1152885,1152972,1152974,1152975,1153108,1153112,1153236,1153263,1153476,1153509,1153607,1153628,1153646,1153681,1153713,1153717,1153718,1153719,1153811,1153969,1154043,1154048,1154058,1154108,1154124,1154189,1154242,1154268,1154354,1154355,1154372,1154521,1154526,1154578,1154601,1154607,1154608,1154610,1154611,1154651,1154737,1154747,1154848,1154858,1154905,1154956,1154959,1155021,1155061,1155178,1155179,1155184,1155186,1155671,1155689,1155692,1155836,1155897,1155982,1156187,1156258,1156429,1156466,1156471,1156494,1156609,1156700,1156729,1156882,1156928,1157032,1157038,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157158,1157160,1157162,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157698,1157778,1157908,1158049,1158063,1158064,1158065,1158066,1158067,1158068
CVE References: CVE-2017-18595,CVE-2019-0154,CVE-2019-0155,CVE-2019-10220,CVE-2019-11135,CVE-2019-14821,CVE-2019-14835,CVE-2019-14895,CVE-2019-15030,CVE-2019-15031,CVE-2019-15916,CVE-2019-16231,CVE-2019-16233,CVE-2019-16995,CVE-2019-17055,CVE-2019-17056,CVE-2019-17666,CVE-2019-18660,CVE-2019-18683,CVE-2019-18805,CVE-2019-18809,CVE-2019-19046,CVE-2019-19049,CVE-2019-19052,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    kernel-default-4.12.14-122.7.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    kernel-docs-4.12.14-122.7.1, kernel-obs-build-4.12.14-122.7.1
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-default-4.12.14-122.7.1, kernel-source-4.12.14-122.7.1, kernel-syms-4.12.14-122.7.1
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.7.1, kgraft-patch-SLE12-SP5_Update_1-1-8.7.1
SUSE Linux Enterprise High Availability 12-SP5 (src):    kernel-default-4.12.14-122.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 80 Swamp Workflow Management 2019-12-12 14:14:54 UTC
openSUSE-SU-2019:2675-1: An update that solves 38 vulnerabilities and has 92 fixes is now available.

Category: security (important)
Bug References: 1051510,1071995,1078248,1089644,1091041,1103990,1103991,1104353,1104427,1104745,1108043,1109837,1111666,1112178,1112374,1113722,1113956,1113994,1114279,1117169,1118661,1119113,1120853,1126390,1127354,1127371,1129770,1131107,1134983,1137223,1137236,1138039,1140948,1141054,1142095,1142635,1142924,1144333,1146519,1146544,1149448,1151067,1151548,1151900,1153628,1153811,1154043,1154058,1154355,1154601,1155689,1155897,1155921,1156258,1156466,1156471,1156494,1156609,1156700,1156729,1156882,1156928,1157032,1157038,1157042,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157158,1157160,1157162,1157171,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157698,1157778,1157908,1158049,1158063,1158064,1158065,1158066,1158067,1158068,1158071,1158082,1158381,1158394,1158398,1158407,1158410,1158413,1158417,1158427,1158445,1158637,1158638,1158639,1158640,1158641,1158643,1158644,1158645,1158646,1158647,1158649,1158651,1158652
CVE References: CVE-2019-14895,CVE-2019-14901,CVE-2019-15213,CVE-2019-15916,CVE-2019-18660,CVE-2019-18683,CVE-2019-18809,CVE-2019-19046,CVE-2019-19049,CVE-2019-19052,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19077,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-19524,CVE-2019-19525,CVE-2019-19528,CVE-2019-19529,CVE-2019-19530,CVE-2019-19531,CVE-2019-19534,CVE-2019-19536,CVE-2019-19543
Sources used:
openSUSE Leap 15.1 (src):    kernel-debug-4.12.14-lp151.28.36.1, kernel-default-4.12.14-lp151.28.36.1, kernel-docs-4.12.14-lp151.28.36.1, kernel-kvmsmall-4.12.14-lp151.28.36.1, kernel-obs-build-4.12.14-lp151.28.36.1, kernel-obs-qa-4.12.14-lp151.28.36.1, kernel-source-4.12.14-lp151.28.36.1, kernel-syms-4.12.14-lp151.28.36.1, kernel-vanilla-4.12.14-lp151.28.36.1
Comment 82 Swamp Workflow Management 2019-12-17 17:15:48 UTC
SUSE-SU-2019:3317-1: An update that solves 41 vulnerabilities and has 88 fixes is now available.

Category: security (important)
Bug References: 1048942,1051510,1071995,1078248,1082635,1089644,1091041,1103990,1103991,1104353,1104427,1104745,1108043,1109837,1111666,1112178,1112374,1113722,1113956,1113994,1114279,1117169,1118661,1119113,1120853,1126390,1127354,1127371,1129770,1131107,1134983,1135966,1135967,1137223,1137236,1138039,1140948,1142095,1142635,1142924,1143706,1144333,1149448,1150466,1151067,1151548,1151900,1152782,1153628,1153811,1154043,1154058,1154124,1154355,1154526,1154601,1155021,1155689,1155692,1155836,1155897,1155921,1155982,1156187,1156258,1156429,1156466,1156471,1156494,1156609,1156700,1156729,1156882,1156928,1157032,1157038,1157042,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157158,1157160,1157162,1157171,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157698,1157778,1157908,1158049,1158063,1158064,1158065,1158066,1158067,1158068,1158071,1158082,1158381,1158394,1158398,1158407,1158410,1158413,1158417,1158427,1158445
CVE References: CVE-2019-0154,CVE-2019-14895,CVE-2019-14901,CVE-2019-15916,CVE-2019-16231,CVE-2019-17055,CVE-2019-18660,CVE-2019-18683,CVE-2019-18805,CVE-2019-18809,CVE-2019-19046,CVE-2019-19049,CVE-2019-19052,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19077,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-19524,CVE-2019-19525,CVE-2019-19528,CVE-2019-19529,CVE-2019-19530,CVE-2019-19531,CVE-2019-19534,CVE-2019-19536,CVE-2019-19543
Sources used:
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.29.1, kernel-livepatch-SLE15-SP1_Update_8-1-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 83 Swamp Workflow Management 2019-12-17 17:55:13 UTC
SUSE-SU-2019:3317-1: An update that solves 41 vulnerabilities and has 88 fixes is now available.

Category: security (important)
Bug References: 1048942,1051510,1071995,1078248,1082635,1089644,1091041,1103990,1103991,1104353,1104427,1104745,1108043,1109837,1111666,1112178,1112374,1113722,1113956,1113994,1114279,1117169,1118661,1119113,1120853,1126390,1127354,1127371,1129770,1131107,1134983,1135966,1135967,1137223,1137236,1138039,1140948,1142095,1142635,1142924,1143706,1144333,1149448,1150466,1151067,1151548,1151900,1152782,1153628,1153811,1154043,1154058,1154124,1154355,1154526,1154601,1155021,1155689,1155692,1155836,1155897,1155921,1155982,1156187,1156258,1156429,1156466,1156471,1156494,1156609,1156700,1156729,1156882,1156928,1157032,1157038,1157042,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157158,1157160,1157162,1157171,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157698,1157778,1157908,1158049,1158063,1158064,1158065,1158066,1158067,1158068,1158071,1158082,1158381,1158394,1158398,1158407,1158410,1158413,1158417,1158427,1158445
CVE References: CVE-2019-0154,CVE-2019-14895,CVE-2019-14901,CVE-2019-15916,CVE-2019-16231,CVE-2019-17055,CVE-2019-18660,CVE-2019-18683,CVE-2019-18805,CVE-2019-18809,CVE-2019-19046,CVE-2019-19049,CVE-2019-19052,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19077,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-19524,CVE-2019-19525,CVE-2019-19528,CVE-2019-19529,CVE-2019-19530,CVE-2019-19531,CVE-2019-19534,CVE-2019-19536,CVE-2019-19543
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.29.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    kernel-debug-4.12.14-197.29.1, kernel-default-4.12.14-197.29.1, kernel-docs-4.12.14-197.29.2, kernel-kvmsmall-4.12.14-197.29.1, kernel-obs-qa-4.12.14-197.29.1, kernel-source-4.12.14-197.29.1, kernel-vanilla-4.12.14-197.29.1, kernel-zfcpdump-4.12.14-197.29.1
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.29.1, kernel-livepatch-SLE15-SP1_Update_8-1-3.3.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.29.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.29.2, kernel-obs-build-4.12.14-197.29.1, kernel-source-4.12.14-197.29.1, kernel-syms-4.12.14-197.29.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.29.1, kernel-source-4.12.14-197.29.1, kernel-zfcpdump-4.12.14-197.29.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 84 Swamp Workflow Management 2019-12-20 11:35:37 UTC
SUSE-SU-2019:3372-1: An update that solves 42 vulnerabilities and has 100 fixes is now available.

Category: security (important)
Bug References: 1048942,1051510,1071995,1078248,1082635,1089644,1091041,1103990,1103991,1104353,1104427,1104745,1108043,1109837,1111666,1112178,1112374,1113722,1113956,1113994,1114279,1117169,1118661,1119113,1120853,1126390,1127354,1127371,1129770,1131107,1134983,1135966,1135967,1137223,1137236,1138039,1140948,1142095,1142635,1142924,1143706,1144333,1146544,1149448,1150466,1151067,1151548,1151900,1152782,1153628,1153811,1154043,1154058,1154124,1154355,1154526,1154601,1155021,1155689,1155692,1155836,1155897,1155921,1156187,1156258,1156429,1156466,1156471,1156494,1156609,1156700,1156729,1156882,1156928,1157032,1157038,1157042,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157158,1157160,1157162,1157171,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157698,1157778,1157908,1158049,1158063,1158064,1158065,1158066,1158067,1158068,1158071,1158082,1158381,1158394,1158398,1158407,1158410,1158413,1158417,1158427,1158445,1158637,1158638,1158639,1158640,1158641,1158643,1158644,1158645,1158646,1158647,1158649,1158651,1158652
CVE References: CVE-2019-0154,CVE-2019-14895,CVE-2019-14901,CVE-2019-15213,CVE-2019-15916,CVE-2019-16231,CVE-2019-17055,CVE-2019-18660,CVE-2019-18683,CVE-2019-18805,CVE-2019-18809,CVE-2019-19046,CVE-2019-19049,CVE-2019-19052,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19077,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-19524,CVE-2019-19525,CVE-2019-19528,CVE-2019-19529,CVE-2019-19530,CVE-2019-19531,CVE-2019-19534,CVE-2019-19536,CVE-2019-19543
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP1 (src):    kernel-azure-4.12.14-8.22.1, kernel-source-azure-4.12.14-8.22.1, kernel-syms-azure-4.12.14-8.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 86 Swamp Workflow Management 2020-01-14 14:22:20 UTC
SUSE-SU-2020:0093-1: An update that solves 80 vulnerabilities and has 310 fixes is now available.

Category: security (important)
Bug References: 1046299,1046303,1046305,1048942,1050244,1050536,1050545,1051510,1055117,1055186,1061840,1064802,1065600,1065729,1066129,1071995,1073513,1078248,1082555,1082635,1083647,1086323,1087092,1089644,1090631,1090888,1091041,1093205,1096254,1097583,1097584,1097585,1097586,1097587,1097588,1098291,1101674,1103989,1103990,1103991,1104353,1104427,1104745,1104967,1106434,1108043,1108382,1109158,1109837,1111666,1112178,1112374,1113722,1113956,1113994,1114279,1115026,1117169,1117665,1118661,1119086,1119113,1119461,1119465,1120853,1120902,1122363,1123034,1123080,1123105,1126206,1126390,1127155,1127354,1127371,1127611,1127988,1129770,1131107,1131304,1131489,1133140,1134476,1134973,1134983,1135642,1135854,1135873,1135966,1135967,1136261,1137040,1137069,1137223,1137236,1137799,1137861,1137865,1137959,1137982,1138039,1138190,1139073,1140090,1140155,1140729,1140845,1140883,1140948,1141013,1141340,1141543,1142076,1142095,1142635,1142667,1142924,1143706,1143959,1144333,1144338,1144375,1144449,1144653,1144903,1145099,1145661,1146042,1146519,1146544,1146612,1146664,1148133,1148410,1148712,1148859,1148868,1149083,1149119,1149224,1149446,1149448,1149555,1149652,1149713,1149853,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150305,1150381,1150423,1150452,1150457,1150465,1150466,1150562,1150727,1150846,1150860,1150861,1150875,1150933,1151021,1151067,1151192,1151225,1151350,1151508,1151548,1151610,1151661,1151662,1151667,1151671,1151680,1151807,1151891,1151900,1151910,1151955,1152024,1152025,1152026,1152033,1152107,1152161,1152187,1152325,1152446,1152457,1152460,1152466,1152497,1152505,1152506,1152525,1152624,1152631,1152665,1152685,1152696,1152697,1152782,1152788,1152790,1152791,1152885,1152972,1152974,1152975,1153108,1153112,1153158,1153236,1153263,1153476,1153509,1153607,1153628,1153646,1153681,1153713,1153717,1153718,1153719,1153811,1153969,1154043,1154048,1154058,1154108,1154124,1154189,1154242,1154244,1154268,1154354,1154355,1154372,1154521,1154526,1154578,1154601,1154607,1154608,1154610,1154611,1154651,1154737,1154768,1154848,1154858,1154905,1154916,1154956,1154959,1155021,1155061,1155178,1155179,1155184,1155186,1155331,1155334,1155671,1155689,1155692,1155812,1155817,1155836,1155897,1155921,1155945,1156187,1156258,1156259,1156286,1156429,1156462,1156466,1156471,1156494,1156609,1156700,1156729,1156882,1156928,1157032,1157038,1157042,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157158,1157160,1157162,1157169,1157171,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157303,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157698,1157778,1157853,1157895,1157908,1158021,1158049,1158063,1158064,1158065,1158066,1158067,1158068,1158071,1158082,1158094,1158132,1158381,1158394,1158398,1158407,1158410,1158413,1158417,1158427,1158445,1158533,1158637,1158638,1158639,1158640,1158641,1158643,1158644,1158645,1158646,1158647,1158649,1158651,1158652,1158819,1158823,1158824,1158827,1158834,1158893,1158900,1158903,1158904,1158954,1159024,1159096,1159297,1159483,1159484,1159500,1159569,1159841,1159908,1159909,1159910,972655
CVE References: CVE-2017-18595,CVE-2018-12207,CVE-2019-0154,CVE-2019-0155,CVE-2019-10220,CVE-2019-11135,CVE-2019-14821,CVE-2019-14835,CVE-2019-14895,CVE-2019-14901,CVE-2019-15030,CVE-2019-15031,CVE-2019-15213,CVE-2019-15916,CVE-2019-16231,CVE-2019-16232,CVE-2019-16233,CVE-2019-16234,CVE-2019-16746,CVE-2019-16995,CVE-2019-17055,CVE-2019-17056,CVE-2019-17133,CVE-2019-17666,CVE-2019-18660,CVE-2019-18683,CVE-2019-18805,CVE-2019-18808,CVE-2019-18809,CVE-2019-19046,CVE-2019-19049,CVE-2019-19051,CVE-2019-19052,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19066,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19077,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-19319,CVE-2019-19332,CVE-2019-19338,CVE-2019-19447,CVE-2019-19523,CVE-2019-19524,CVE-2019-19525,CVE-2019-19526,CVE-2019-19527,CVE-2019-19528,CVE-2019-19529,CVE-2019-19530,CVE-2019-19531,CVE-2019-19532,CVE-2019-19533,CVE-2019-19534,CVE-2019-19535,CVE-2019-19536,CVE-2019-19537,CVE-2019-19543,CVE-2019-19767,CVE-2019-19966,CVE-2019-20054,CVE-2019-20095,CVE-2019-20096,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-azure-4.12.14-16.7.1, kernel-source-azure-4.12.14-16.7.1, kernel-syms-azure-4.12.14-16.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 88 Swamp Workflow Management 2020-03-09 14:22:03 UTC
SUSE-SU-2020:0613-1: An update that solves 69 vulnerabilities and has 168 fixes is now available.

Category: security (moderate)
Bug References: 1046303,1050244,1051510,1051858,1061840,1065600,1065729,1071995,1078248,1083647,1085030,1086301,1086313,1086314,1089644,1090888,1103989,1103990,1103991,1104353,1104427,1104745,1108043,1109837,1111666,1112178,1112374,1113722,1113956,1113994,1114279,1114685,1115026,1117169,1118661,1119113,1120853,1123328,1126206,1126390,1127354,1127371,1127611,1127682,1129551,1129770,1134973,1134983,1137223,1137236,1138039,1140948,1141054,1142095,1142635,1142924,1143959,1144333,1146519,1146544,1151067,1151548,1151900,1151910,1151927,1152107,1152631,1153535,1153628,1153811,1153917,1154043,1154058,1154243,1154355,1154601,1154768,1154916,1155331,1155334,1155689,1155897,1155921,1156258,1156259,1156286,1156462,1156471,1156928,1157032,1157038,1157042,1157044,1157045,1157046,1157049,1157070,1157115,1157143,1157145,1157155,1157157,1157158,1157160,1157162,1157169,1157171,1157173,1157178,1157180,1157182,1157183,1157184,1157191,1157193,1157197,1157298,1157303,1157304,1157307,1157324,1157333,1157386,1157424,1157463,1157499,1157678,1157692,1157698,1157778,1157853,1157895,1157908,1158013,1158021,1158026,1158049,1158063,1158064,1158065,1158066,1158067,1158068,1158071,1158082,1158094,1158132,1158381,1158394,1158398,1158407,1158410,1158413,1158417,1158427,1158445,1158533,1158637,1158638,1158639,1158640,1158641,1158643,1158644,1158645,1158646,1158647,1158649,1158651,1158652,1158819,1158823,1158824,1158827,1158834,1158893,1158900,1158903,1158904,1158954,1159024,1159028,1159297,1159377,1159394,1159483,1159484,1159500,1159569,1159588,1159841,1159908,1159909,1159910,1159911,1159955,1160147,1160195,1160210,1160211,1160433,1160442,1160469,1160470,1160476,1160560,1160618,1160678,1160755,1160756,1160784,1160787,1160802,1160803,1160804,1160917,1160966,1161087,1161243,1161472,1161514,1161518,1161522,1161523,1161549,1161552,1161674,1161931,1161933,1161934,1161935,1161936,1161937,1162028,1162067,1162109,1162139
CVE References: CVE-2019-14615,CVE-2019-14895,CVE-2019-14896,CVE-2019-14897,CVE-2019-14901,CVE-2019-15213,CVE-2019-16746,CVE-2019-16994,CVE-2019-18660,CVE-2019-18683,CVE-2019-18808,CVE-2019-18809,CVE-2019-19036,CVE-2019-19045,CVE-2019-19046,CVE-2019-19049,CVE-2019-19051,CVE-2019-19052,CVE-2019-19054,CVE-2019-19056,CVE-2019-19057,CVE-2019-19058,CVE-2019-19060,CVE-2019-19062,CVE-2019-19063,CVE-2019-19065,CVE-2019-19066,CVE-2019-19067,CVE-2019-19068,CVE-2019-19073,CVE-2019-19074,CVE-2019-19075,CVE-2019-19077,CVE-2019-19078,CVE-2019-19080,CVE-2019-19081,CVE-2019-19082,CVE-2019-19083,CVE-2019-19227,CVE-2019-19318,CVE-2019-19319,CVE-2019-19332,CVE-2019-19338,CVE-2019-19447,CVE-2019-19523,CVE-2019-19524,CVE-2019-19525,CVE-2019-19526,CVE-2019-19527,CVE-2019-19528,CVE-2019-19529,CVE-2019-19530,CVE-2019-19531,CVE-2019-19532,CVE-2019-19533,CVE-2019-19534,CVE-2019-19535,CVE-2019-19536,CVE-2019-19537,CVE-2019-19543,CVE-2019-19767,CVE-2019-19927,CVE-2019-19965,CVE-2019-19966,CVE-2019-20054,CVE-2019-20095,CVE-2019-20096,CVE-2020-7053,CVE-2020-8428
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP1 (src):    kernel-rt-4.12.14-14.17.1, kernel-rt_debug-4.12.14-14.17.1, kernel-source-rt-4.12.14-14.17.1, kernel-syms-rt-4.12.14-14.17.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    kernel-rt-4.12.14-14.17.1, kernel-rt_debug-4.12.14-14.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 96 Swamp Workflow Management 2021-02-09 14:34:42 UTC
SUSE-SU-2021:0348-1: An update that solves 9 vulnerabilities and has 75 fixes is now available.

Category: security (important)
Bug References: 1046305,1046306,1046540,1046542,1046648,1050242,1050244,1050536,1050538,1050545,1056653,1056657,1056787,1064802,1066129,1073513,1074220,1075020,1086282,1086301,1086313,1086314,1098633,1103990,1103991,1103992,1104270,1104277,1104279,1104353,1104427,1104742,1104745,1109837,1111981,1112178,1112374,1113956,1119113,1126206,1126390,1127354,1127371,1129770,1136348,1144912,1149032,1163727,1172145,1174206,1176831,1176846,1178036,1178049,1178372,1178631,1178684,1178900,1179093,1179508,1179509,1179563,1179573,1179575,1179878,1180008,1180130,1180559,1180562,1180676,1180765,1180812,1180859,1180891,1180912,1181001,1181018,1181170,1181230,1181231,1181349,1181425,1181553,901327
CVE References: CVE-2020-25639,CVE-2020-27835,CVE-2020-28374,CVE-2020-29568,CVE-2020-29569,CVE-2020-36158,CVE-2021-0342,CVE-2021-20177,CVE-2021-3347
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-azure-4.12.14-16.44.1, kernel-source-azure-4.12.14-16.44.1, kernel-syms-azure-4.12.14-16.44.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 97 Swamp Workflow Management 2021-02-09 20:21:09 UTC
SUSE-SU-2021:0353-1: An update that solves 8 vulnerabilities and has 68 fixes is now available.

Category: security (important)
Bug References: 1046305,1046306,1046540,1046542,1046648,1050242,1050244,1050536,1050538,1050545,1056653,1056657,1056787,1064802,1066129,1073513,1074220,1075020,1086282,1086301,1086313,1086314,1098633,1103990,1103991,1103992,1104270,1104277,1104279,1104353,1104427,1104742,1104745,1109837,1111981,1112178,1112374,1113956,1119113,1126206,1126390,1127354,1127371,1129770,1136348,1149032,1174206,1176395,1176831,1176846,1178036,1178049,1178631,1178900,1179093,1179508,1179509,1179563,1179573,1179575,1179878,1180008,1180130,1180765,1180812,1180859,1180891,1180912,1181001,1181018,1181170,1181230,1181231,1181349,1181425,1181553
CVE References: CVE-2020-25211,CVE-2020-25639,CVE-2020-27835,CVE-2020-29568,CVE-2020-29569,CVE-2021-0342,CVE-2021-20177,CVE-2021-3347
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    kernel-default-4.12.14-122.60.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    kernel-docs-4.12.14-122.60.2, kernel-obs-build-4.12.14-122.60.1
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-default-4.12.14-122.60.1, kernel-source-4.12.14-122.60.1, kernel-syms-4.12.14-122.60.1
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.60.1, kgraft-patch-SLE12-SP5_Update_15-1-8.3.1
SUSE Linux Enterprise High Availability 12-SP5 (src):    kernel-default-4.12.14-122.60.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 98 Swamp Workflow Management 2021-02-11 14:30:12 UTC
SUSE-SU-2021:0433-1: An update that solves 10 vulnerabilities and has 75 fixes is now available.

Category: security (important)
Bug References: 1046305,1046306,1046540,1046542,1046648,1050242,1050244,1050536,1050538,1050545,1056653,1056657,1056787,1064802,1066129,1073513,1074220,1075020,1086282,1086301,1086313,1086314,1098633,1103990,1103991,1103992,1104270,1104277,1104279,1104353,1104427,1104742,1104745,1109837,1111981,1112178,1112374,1113956,1119113,1126206,1126390,1127354,1127371,1129770,1136348,1144912,1149032,1163727,1172145,1174206,1176831,1176846,1178036,1178049,1178372,1178631,1178684,1178900,1179093,1179508,1179509,1179563,1179573,1179575,1179878,1180008,1180130,1180559,1180562,1180676,1180765,1180812,1180859,1180891,1180912,1181001,1181018,1181170,1181230,1181231,1181349,1181425,1181504,1181553,1181645
CVE References: CVE-2020-25639,CVE-2020-27835,CVE-2020-28374,CVE-2020-29568,CVE-2020-29569,CVE-2020-36158,CVE-2021-0342,CVE-2021-20177,CVE-2021-3347,CVE-2021-3348
JIRA References: 
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP5 (src):    kernel-rt-4.12.14-10.31.1, kernel-rt_debug-4.12.14-10.31.1, kernel-source-rt-4.12.14-10.31.1, kernel-syms-rt-4.12.14-10.31.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 101 Swamp Workflow Management 2021-02-19 20:19:40 UTC
SUSE-SU-2021:0532-1: An update that solves 8 vulnerabilities and has 66 fixes is now available.

Category: security (important)
Bug References: 1046305,1046306,1046540,1046542,1046648,1050242,1050244,1050536,1050538,1050545,1056653,1056657,1056787,1064802,1066129,1073513,1074220,1075020,1086282,1086301,1086313,1086314,1098633,1103990,1103991,1103992,1104270,1104277,1104279,1104353,1104427,1104742,1104745,1109837,1111981,1112178,1112374,1113956,1119113,1126206,1126390,1127354,1127371,1129770,1136348,1149032,1174206,1176831,1176846,1178036,1178049,1178900,1179093,1179142,1179508,1179509,1179563,1179573,1179575,1179878,1180130,1180765,1180812,1180891,1180912,1181018,1181170,1181230,1181231,1181260,1181349,1181425,1181504,1181809
CVE References: CVE-2020-25639,CVE-2020-27835,CVE-2020-29568,CVE-2020-29569,CVE-2021-0342,CVE-2021-20177,CVE-2021-3347,CVE-2021-3348
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1, kernel-zfcpdump-4.12.14-197.83.1
SUSE Manager Retail Branch Server 4.0 (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1
SUSE Manager Proxy 4.0 (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.83.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1, kernel-zfcpdump-4.12.14-197.83.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.83.1, kernel-livepatch-SLE15-SP1_Update_22-1-3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.83.1
SUSE Enterprise Storage 6 (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1
SUSE CaaS Platform 4.0 (src):    kernel-default-4.12.14-197.83.1, kernel-docs-4.12.14-197.83.1, kernel-obs-build-4.12.14-197.83.1, kernel-source-4.12.14-197.83.1, kernel-syms-4.12.14-197.83.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 106 Swamp Workflow Management 2021-04-13 19:28:33 UTC
SUSE-SU-2021:1175-1: An update that solves 24 vulnerabilities and has 51 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1103990,1103991,1103992,1104270,1104353,1109837,1111981,1112374,1113994,1118657,1118661,1119113,1126390,1129770,1132477,1142635,1152446,1154048,1169709,1172455,1173485,1175165,1176720,1176855,1178163,1179243,1179428,1179454,1179660,1179755,1180846,1181507,1181515,1181544,1181655,1181674,1181747,1181753,1181843,1182011,1182175,1182485,1182574,1182715,1182716,1182717,1183018,1183022,1183023,1183378,1183379,1183380,1183381,1183382,1183416,1183509,1183593,1183646,1183662,1183686,1183692,1183696,1183775,1183861,1183871,1184114,1184167,1184168,1184170,1184192,1184193,1184196,1184198
CVE References: CVE-2020-0433,CVE-2020-27170,CVE-2020-27171,CVE-2020-27815,CVE-2020-29368,CVE-2020-29374,CVE-2020-35519,CVE-2021-26930,CVE-2021-26931,CVE-2021-26932,CVE-2021-27363,CVE-2021-27364,CVE-2021-27365,CVE-2021-28038,CVE-2021-28660,CVE-2021-28688,CVE-2021-28964,CVE-2021-28971,CVE-2021-28972,CVE-2021-29264,CVE-2021-29265,CVE-2021-29647,CVE-2021-3428,CVE-2021-3444
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-azure-4.12.14-16.50.1, kernel-source-azure-4.12.14-16.50.1, kernel-syms-azure-4.12.14-16.50.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 107 Swamp Workflow Management 2021-04-13 19:37:05 UTC
SUSE-SU-2021:1176-1: An update that solves 25 vulnerabilities and has 49 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1103990,1103991,1103992,1104270,1104353,1109837,1111981,1112374,1113994,1118657,1118661,1119113,1126390,1129770,1132477,1142635,1152446,1154048,1169709,1172455,1173485,1175165,1176720,1176855,1177411,1178163,1179243,1179428,1179454,1179660,1179755,1180846,1181515,1181544,1181655,1181674,1181747,1181753,1181843,1182011,1182175,1182485,1182574,1182715,1182716,1182717,1183018,1183022,1183023,1183378,1183379,1183380,1183381,1183382,1183416,1183509,1183593,1183646,1183686,1183692,1183696,1183775,1183861,1183871,1184114,1184167,1184168,1184170,1184192,1184193,1184196,1184198
CVE References: CVE-2020-0433,CVE-2020-27170,CVE-2020-27171,CVE-2020-27673,CVE-2020-27815,CVE-2020-29368,CVE-2020-29374,CVE-2020-35519,CVE-2021-26930,CVE-2021-26931,CVE-2021-26932,CVE-2021-27363,CVE-2021-27364,CVE-2021-27365,CVE-2021-28038,CVE-2021-28660,CVE-2021-28688,CVE-2021-28964,CVE-2021-28971,CVE-2021-28972,CVE-2021-29264,CVE-2021-29265,CVE-2021-29647,CVE-2021-3428,CVE-2021-3444
JIRA References: 
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP5 (src):    kernel-rt-4.12.14-10.37.1, kernel-rt_debug-4.12.14-10.37.1, kernel-source-rt-4.12.14-10.37.1, kernel-syms-rt-4.12.14-10.37.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 109 Swamp Workflow Management 2021-04-15 16:33:28 UTC
SUSE-SU-2021:1210-1: An update that solves 33 vulnerabilities and has 53 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1103990,1103991,1103992,1104270,1104353,1109837,1111981,1112374,1113295,1113994,1118657,1118661,1119113,1126390,1129770,1132477,1142635,1152446,1154048,1169709,1172455,1173485,1175165,1176720,1176855,1178163,1178181,1179243,1179428,1179454,1179660,1179755,1180846,1181507,1181515,1181544,1181655,1181674,1181747,1181753,1181843,1182011,1182175,1182485,1182574,1182715,1182716,1182717,1183018,1183022,1183023,1183378,1183379,1183380,1183381,1183382,1183405,1183416,1183509,1183593,1183646,1183662,1183686,1183692,1183696,1183755,1183775,1183861,1183871,1184114,1184120,1184167,1184168,1184170,1184192,1184193,1184196,1184198,1184391,1184393,1184397,1184494,1184511,1184583
CVE References: CVE-2020-0433,CVE-2020-25670,CVE-2020-25671,CVE-2020-25672,CVE-2020-25673,CVE-2020-27170,CVE-2020-27171,CVE-2020-27815,CVE-2020-29368,CVE-2020-29374,CVE-2020-35519,CVE-2020-36311,CVE-2021-20219,CVE-2021-26930,CVE-2021-26931,CVE-2021-26932,CVE-2021-27363,CVE-2021-27364,CVE-2021-27365,CVE-2021-28038,CVE-2021-28660,CVE-2021-28688,CVE-2021-28964,CVE-2021-28971,CVE-2021-28972,CVE-2021-29154,CVE-2021-29264,CVE-2021-29265,CVE-2021-29647,CVE-2021-30002,CVE-2021-3428,CVE-2021-3444,CVE-2021-3483
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    kernel-default-4.12.14-122.66.2
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    kernel-docs-4.12.14-122.66.2, kernel-obs-build-4.12.14-122.66.2
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-default-4.12.14-122.66.2, kernel-source-4.12.14-122.66.2, kernel-syms-4.12.14-122.66.2
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.66.2, kgraft-patch-SLE12-SP5_Update_17-1-8.3.2
SUSE Linux Enterprise High Availability 12-SP5 (src):    kernel-default-4.12.14-122.66.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 114 Swamp Workflow Management 2021-06-08 16:57:01 UTC
SUSE-SU-2021:1887-1: An update that solves 12 vulnerabilities and has 38 fixes is now available.

Category: security (important)
Bug References: 1064802,1066129,1087082,1101816,1103992,1104427,1104745,1109837,1112374,1113431,1126390,1133021,1152457,1174682,1176081,1177666,1180552,1181383,1182256,1183738,1183754,1183947,1184040,1184081,1184082,1184611,1184675,1184855,1185428,1185481,1185642,1185680,1185703,1185724,1185758,1185859,1185860,1185863,1185898,1185899,1185906,1185938,1186060,1186062,1186285,1186416,1186439,1186441,1186460,1186484
CVE References: CVE-2020-24586,CVE-2020-24587,CVE-2020-26139,CVE-2020-26141,CVE-2020-26145,CVE-2020-26147,CVE-2021-23133,CVE-2021-23134,CVE-2021-32399,CVE-2021-33034,CVE-2021-33200,CVE-2021-3491
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-azure-4.12.14-16.59.1, kernel-source-azure-4.12.14-16.59.1, kernel-syms-azure-4.12.14-16.59.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 115 Swamp Workflow Management 2021-06-08 22:25:08 UTC
SUSE-SU-2021:1899-1: An update that solves 12 vulnerabilities and has 32 fixes is now available.

Category: security (important)
Bug References: 1064802,1066129,1087082,1101816,1103992,1104353,1104427,1104745,1109837,1113431,1126390,1133021,1152457,1174682,1176081,1177666,1180552,1181383,1182256,1183738,1183947,1184081,1184082,1184611,1184855,1185428,1185481,1185680,1185703,1185724,1185758,1185827,1185901,1185906,1185938,1186060,1186111,1186390,1186416,1186439,1186441,1186452,1186460,1186498
CVE References: CVE-2020-24586,CVE-2020-24587,CVE-2020-26139,CVE-2020-26141,CVE-2020-26145,CVE-2020-26147,CVE-2021-23133,CVE-2021-23134,CVE-2021-32399,CVE-2021-33034,CVE-2021-33200,CVE-2021-3491
JIRA References: 
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP5 (src):    kernel-rt-4.12.14-10.46.1, kernel-rt_debug-4.12.14-10.46.1, kernel-source-rt-4.12.14-10.46.1, kernel-syms-rt-4.12.14-10.46.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 116 Swamp Workflow Management 2021-06-09 16:31:37 UTC
SUSE-SU-2021:1913-1: An update that solves 12 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 1064802,1066129,1087082,1101816,1103992,1104353,1104427,1104745,1109837,1112374,1113431,1126390,1133021,1152457,1174682,1176081,1177666,1180552,1181383,1182256,1183738,1183754,1183947,1184040,1184081,1184082,1184611,1184675,1184855,1185428,1185481,1185642,1185677,1185680,1185703,1185724,1185758,1185827,1185859,1185860,1185862,1185863,1185898,1185899,1185901,1185906,1185938,1185950,1185987,1186060,1186061,1186062,1186111,1186285,1186390,1186416,1186439,1186441,1186452,1186460,1186484,1186487,1186498,1186573
CVE References: CVE-2020-24586,CVE-2020-24587,CVE-2020-26139,CVE-2020-26141,CVE-2020-26145,CVE-2020-26147,CVE-2021-23133,CVE-2021-23134,CVE-2021-32399,CVE-2021-33034,CVE-2021-33200,CVE-2021-3491
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    kernel-default-4.12.14-122.74.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    kernel-docs-4.12.14-122.74.2, kernel-obs-build-4.12.14-122.74.1
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-default-4.12.14-122.74.1, kernel-source-4.12.14-122.74.1, kernel-syms-4.12.14-122.74.1
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.74.1, kgraft-patch-SLE12-SP5_Update_19-1-8.3.1
SUSE Linux Enterprise High Availability 12-SP5 (src):    kernel-default-4.12.14-122.74.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.